org.springframework.batch.sample.domain.order

## Class Address

- java.lang.Object
- - org.springframework.batch.sample.domain.order.Address

-     public class Address
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LINE_ID_BILLING_ADDR`
    `static java.lang.String` | `LINE_ID_SHIPPING_ADDR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Address()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getAddressee()`
    `java.lang.String` | `getAddrLine1()`
    `java.lang.String` | `getAddrLine2()`
    `java.lang.String` | `getCity()`
    `java.lang.String` | `getCountry()`
    `java.lang.String` | `getState()`
    `java.lang.String` | `getZipCode()`
    `int` | `hashCode()`
    `void` | `setAddressee(java.lang.String addressee)`
    `void` | `setAddrLine1(java.lang.String addrLine1)`
    `void` | `setAddrLine2(java.lang.String addrLine2)`
    `void` | `setCity(java.lang.String city)`
    `void` | `setCountry(java.lang.String country)`
    `void` | `setState(java.lang.String state)`
    `void` | `setZipCode(java.lang.String zipCode)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LINE_ID_BILLING_ADDR

          public static final java.lang.String LINE_ID_BILLING_ADDR

      See Also:
        Constant Field Values

    - #### LINE_ID_SHIPPING_ADDR

          public static final java.lang.String LINE_ID_SHIPPING_ADDR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Address

          public Address()

  - ### Method Detail

    - #### getAddrLine1

          public java.lang.String getAddrLine1()

    - #### setAddrLine1

          public void setAddrLine1(java.lang.String addrLine1)

    - #### getAddrLine2

          public java.lang.String getAddrLine2()

    - #### setAddrLine2

          public void setAddrLine2(java.lang.String addrLine2)

    - #### getAddressee

          public java.lang.String getAddressee()

    - #### setAddressee

          public void setAddressee(java.lang.String addressee)

    - #### getCity

          public java.lang.String getCity()

    - #### setCity

          public void setCity(java.lang.String city)

    - #### getCountry

          public java.lang.String getCountry()

    - #### setCountry

          public void setCountry(java.lang.String country)

    - #### getState

          public java.lang.String getState()

    - #### setState

          public void setState(java.lang.String state)

    - #### getZipCode

          public java.lang.String getZipCode()

    - #### setZipCode

          public void setZipCode(java.lang.String zipCode)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`